public class TROPFEN extends NIEDERSCHLAG
{
    protected int radius;
    protected WOLKE meineWolke;

    public TROPFEN(double xStart, double yStart, int rStart, WOLKE w)
    {
        super(xStart, yStart);
        radius = rStart;
        meineWolke = w;
    }

    public void zeichne()
    {
        ZEICHENFENSTER.gibFenster().fuelleKreis((int)x,(int)y, radius, 1);
    }

    public void bewege(double zeit)
    {
        if (y < NIEDERSCHLAG.gibBoden())
        {
            super.bewege(zeit);
        }
        else
        {
            meineWolke.entferne(this);
        }
    }
}
